aboutsummaryrefslogtreecommitdiffstats
path: root/test/edit.sh
diff options
context:
space:
mode:
authorgramanas <anastasis.gramm2@gmail.com>2018-11-19 19:11:06 +0200
committergramanas <anastasis.gramm2@gmail.com>2018-11-19 19:11:06 +0200
commit78ee1c72c670a71bfd165448676fc65bff802916 (patch)
tree893b0f09dfc84f3fd7f1ac218213012f33d5b612 /test/edit.sh
parent84bbbb91c9154ca0b1c295eb7d1aa0de59450764 (diff)
downloadck-78ee1c72c670a71bfd165448676fc65bff802916.tar.gz
ck-78ee1c72c670a71bfd165448676fc65bff802916.tar.bz2
ck-78ee1c72c670a71bfd165448676fc65bff802916.zip
Add ability to use ck without secret dir
Diffstat (limited to 'test/edit.sh')
-rw-r--r--test/edit.sh83
1 files changed, 83 insertions, 0 deletions
diff --git a/test/edit.sh b/test/edit.sh
new file mode 100644
index 0000000..65419b1
--- /dev/null
+++ b/test/edit.sh
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+init edit
+
+# add configs to ck
+path1=$BIN/test1.conf
+path2=$BIN/test2.conf
+path3=$BIN/test3.conf
+path4=$BIN/test4.conf
+path5=$BIN/test5.conf
+
+add_config prog1 $path1 "" -p
+add_config prog1 $path2
+
+add_config prog2 $path3
+add_config prog2 $path4
+
+add_config prog3 $path5
+
+# edit primary
+exec $BIN/ck -c $BIN e prog1 --command ":" > __test_file &
+wait $!
+
+TEST_STR=$(cat __test_file)
+EXPECTED_STR="Running: : $(realpath $path1)"
+
+echo "Expected: $EXPECTED_STR" >&${V}
+echo " Actual: $TEST_STR" >&${V}
+
+if [[ "$TEST_STR" != "$EXPECTED_STR" ]]; then
+ err "Worng edit."
+ exit 1;
+fi
+
+# edit specific
+exec $BIN/ck -c $BIN e prog1 test2.conf --command ":" > __test_file &
+wait $!
+
+echo "Expected: $EXPECTED_STR" >&${V}
+echo " Actual: $TEST_STR" >&${V}
+
+TEST_STR=$(cat __test_file)
+EXPECTED_STR="Running: : $(realpath $path2)"
+
+if [[ "$TEST_STR" != "$EXPECTED_STR" ]]; then
+ err "Worng edit."
+ exit 1;
+fi
+
+# Ambiguous config
+exec $BIN/ck -c $BIN e prog2 --command ":" > __test_file &
+wait $!
+
+echo "Expected: $EXPECTED_STR" >&${V}
+echo " Actual: $TEST_STR" >&${V}
+
+TEST_STR=$(head -1 __test_file)
+EXPECTED_STR="Ambiguous config. Please type the config name after the program."
+
+if [[ "$TEST_STR" != "$EXPECTED_STR" ]]; then
+ err "Worng edit."
+ exit 1;
+fi
+
+# solo program
+exec $BIN/ck -c $BIN e prog3 --command ":" > __test_file &
+wait $!
+
+echo "Expected: $EXPECTED_STR" >&${V}
+echo " Actual: $TEST_STR" >&${V}
+
+TEST_STR=$(cat __test_file)
+EXPECTED_STR="Running: : $(realpath $path5)"
+
+if [[ "$TEST_STR" != "$EXPECTED_STR" ]]; then
+ err "Worng edit."
+ exit 1;
+fi
+
+rm __test_file
+
+clear_tests
+echo -e $PASS